> For the complete documentation index, see [llms.txt](https://docs.accurascan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.accurascan.com/solutions/micr-cheque-scanner/android/sdk-setup.md).

# SDK Setup

### **Add the JitPack repository to your root's build.gradle file**

```gradle
Add it in your root build.gradle at the end of repositories.

allprojects {
    repositories {
        ...
        maven {
            url 'https://jitpack.io'
            credentials { username authToken }
        }
    }
}
```

### **Add the token to gradle.properties**

```
authToken=jp_45kf9tvkijvd9c7cf34mehj1b6
```

### **Add the dependency in App's build.gradle**

```gradle
Set Accura SDK as a dependency to our app/build.gradle file.

android {

    defaultConfig {
        ...
        ndk {
            // Specify CPU architecture.
            // 'armeabi-v7a' & 'arm64-v8a' are respectively 32 bit and 64 bit device architecture 
            // 'x86' & 'x86_64' are respectively 32 bit and 64 bit emulator architecture
            abiFilters 'armeabi-v7a', 'arm64-v8a', 'x86', 'x86_64'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }
	
}
dependencies {
    ...
    // for Accura OCR
    implementation 'com.github.accurascan:AccuraOCR:7.0.2'
}
```

### **Add licence files to project assets folder:**

```gradle
Create "assets" folder under app/src/main and Add license file in to assets folder.
- key.license // for Accura OCR
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.accurascan.com/solutions/micr-cheque-scanner/android/sdk-setup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
